Bug 1733802

Summary: GoldenDict crash with Qt 5.12.4 update
Product: [Fedora] Fedora Reporter: Vitaly Zaitsev <vitaly>
Component: goldendictAssignee: Mosaab Alzoubi <moceap>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 30CC: jgrulich, jreznik, kde-sig, moceap, mrlhwliberty, rdieter, than
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: goldendict-1.5-0.22.RC2.fc30 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-08-27 15:28:01 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1740611    
Attachments:
Description Flags
Crash report generated by KCrash none

Description Vitaly Zaitsev 2019-07-28 18:59:48 UTC
Created attachment 1594104 [details]
Crash report generated by KCrash

Description of problem:
GoldenDict crashes with Qt 5.12.4.

Version-Release number of selected component (if applicable):
qt5-qtbase-5.12.4-4.fc30.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. sudo dnf install goldendict
2. run /usr/bin/goldendict
3. close its window (including tray icon)
4. it will crash.

Actual results:
Segmentation fault.

Expected results:
Successful exit.

Additional info:

Thread 1 "goldendict" received signal SIGSEGV, Segmentation fault.
0x0000000000000020 in ?? ()
(gdb) bt
#0  0x0000000000000020 in ?? ()
#1  0x00007ffff761ffb2 in ?? () from /lib64/libQt5Widgets.so.5
#2  0x00007ffff76204cd in ?? () from /lib64/libQt5Widgets.so.5
#3  0x00007ffff3ae2d1c in QObjectPrivate::deleteChildren (this=this@entry=0x5555559a1900)
    at kernel/qobject.cpp:2016
#4  0x00007ffff3ae3c6f in QObject::~QObject (this=<optimized out>, 
    __in_chrg=<optimized out>) at kernel/qobject.cpp:1032
#5  0x00007ffff3ab3e3e in QCoreApplication::~QCoreApplication (this=0x7fffffffcc50, 
    __in_chrg=<optimized out>)
    at ../../include/QtCore/../../src/corelib/tools/qstringlist.h:99
#6  0x00007ffff4079b91 in QGuiApplication::~QGuiApplication() ()
   from /lib64/libQt5Gui.so.5
#7  0x00007ffff75d352e in QApplication::~QApplication() () from /lib64/libQt5Widgets.so.5
#8  0x0000555555613455 in main (argc=<optimized out>, argv=<optimized out>)
    at main.cc:207

Comment 1 Rex Dieter 2019-07-29 01:26:36 UTC
Goldendict upstream has a couple of 5.12-related commits after RC2 that appear to fix this.  Triaging to goldendict to either use a fresh snapshot, or to pull in those specific commits.

Comment 2 Vitaly Zaitsev 2019-07-29 09:29:51 UTC
Thanks for suggestion, Rex. Switched to latest Git snapshot and now it works fine.

Proposed pull request: https://src.fedoraproject.org/rpms/goldendict/pull-request/2

But I think we will need to wait merge for at least 6 months like with my previous PR #1. I even started non-responsive procedure: https://pagure.io/fesco/issue/2069

Rex, can you use your proven-packager rights to merge this PR and push update for F30 and Rawhide?

Mosaab Alzoubi, I'm asking you again. Can you add my FAS account (xvitaly) as co-maintainer for goldendict package?

Comment 3 Vitaly Zaitsev 2019-07-31 12:26:45 UTC
Initiated non-responsive maintainer procedure.

According Non-responsive Maintainer Policy I'm asking the maintainer to respond and resolve issues with package goldendict.

Comment 4 Vitaly Zaitsev 2019-08-08 10:58:36 UTC
According to Non-responsive Maintainer Policy I'm asking the maintainer to respond second time and resolve issues with package goldendict.

Comment 5 Fedora Update System 2019-08-26 09:40:46 UTC
FEDORA-2019-b140a423f2 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b140a423f2

Comment 6 Fedora Update System 2019-08-27 15:28:01 UTC
goldendict-1.5-0.22.RC2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.